Tenants
Endpoint to list workspaces of an organization.
Args: organization_id: Organization ID. status: Filter for only workspaces with this status. offset: Offset for pagination. limit: Limit for pagination. auth_context: The authentication context. rbac: RBAC component. workspace_manager: Workspace manager.
Returns: List of all workspaces matching the given filters.
Authorizations
OAuth2clientCredentialsRequired
Token URL: Refresh URL:
OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Path parameters
organization_idstring · uuidRequired
Query parameters
statusany ofOptional
string · enumOptionalPossible values:
Enum that represents the desired state or status of a workspace.
These values can be used in two places:
- in the
desired_statefield of a workspace object, to indicate the desired state of the workspace (with the exception ofPENDINGandFAILEDwhich are not valid values fordesired_state) - in the
statusfield of a workspace object, to indicate the current state of the workspace
nullOptional
offsetintegerOptionalDefault:
0limitinteger · max: 100OptionalDefault:
100Responses
200
Successful Response
application/json
422
Validation Error
application/json
get
/organizations/{organization_id}/tenantsGET /organizations/{organization_id}/tenants HTTP/1.1
Host:
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"display_name": "text",
"description": "text",
"logo_url": "text",
"organization": {
"name": "text",
"description": "text",
"logo_url": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"created": "2025-12-06T15:34:43.608Z",
"updated": "2025-12-06T15:34:43.608Z",
"owner": {
"password": "text",
"password_expired": true,
"name": "text",
"avatar_url": "text",
"company": "text",
"job_title": "text",
"metadata": {},
"id": "123e4567-e89b-12d3-a456-426614174000",
"username": "text",
"email": "text",
"oauth_provider": "text",
"oauth_id": "text",
"is_active": true,
"is_superuser": false,
"is_service_account": false,
"organization_id": "123e4567-e89b-12d3-a456-426614174000",
"is_onboarded": false
},
"has_active_subscription": true,
"trial_expiry": 1
},
"owner": {
"password": "text",
"password_expired": true,
"name": "text",
"avatar_url": "text",
"company": "text",
"job_title": "text",
"metadata": {},
"id": "123e4567-e89b-12d3-a456-426614174000",
"username": "text",
"email": "text",
"oauth_provider": "text",
"oauth_id": "text",
"is_active": true,
"is_superuser": false,
"is_service_account": false,
"organization_id": "123e4567-e89b-12d3-a456-426614174000",
"is_onboarded": false
},
"is_managed": true,
"enrollment_key": "text",
"zenml_service": {
"configuration": {
"version": "text",
"analytics_enabled": true,
"secrets_store": {
"type": "sql"
},
"backup_secrets_store": {
"type": "sql"
},
"admin": {
"helm_chart_version": "text",
"image_repository": "text",
"image_tag": "text",
"debug": true,
"rbac_implementation_source": "text",
"workload_manager_implementation_source": "text",
"feature_gate_implementation_source": "text",
"environment_vars": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"secret_environment_vars": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"provider_type": "argocd",
"provider_config": {},
"service_tier": "basic",
"resources": {
"replicas": 1,
"cpu": "text",
"memory": "text",
"max_cpu": "text",
"max_memory": "text",
"memory_migration": "text",
"max_memory_migration": "text",
"autoscaling_enabled": false,
"min_replicas": 1,
"max_replicas": 1,
"thread_pool_size": 40,
"db_pool_size": 20,
"db_pool_overflow": 20,
"workspace_node_pool": "main",
"workload_node_pool": "main",
"max_concurrent_template_runs": 1,
"memory_run_template": "text",
"max_memory_run_template": "text",
"max_storage_size": 1073741824
}
}
},
"status": {
"server_url": "text",
"version": "text",
"storage_size": 1,
"storage_size_last_updated": "2025-12-06T15:34:43.608Z",
"storage_access_blocked": false
}
},
"mlflow_service": {
"configuration": {
"version": "text",
"artifact_store": {
"type": "cloud",
"auth_config": {},
"auth_config_secret": "text"
},
"admin": {
"provider_config": {},
"service_tier": "basic",
"resources": {
"replicas": 1,
"cpu": "text",
"memory": "text"
}
}
},
"status": {
"server_url": "text",
"username": "text",
"password": "text"
}
},
"usage_counts": {
"ANY_ADDITIONAL_PROPERTY": 1
},
"desired_state": "not_initialized",
"state_reason": "user_action",
"status": "not_initialized",
"created": "2025-12-06T15:34:43.608Z",
"updated": "2025-12-06T15:34:43.608Z",
"status_updated": "2025-12-06T15:34:43.608Z"
}
]Last updated
Was this helpful?